Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.portlet.state
Class ProducerPortletInvoker

    java.lang.Object
      org.jboss.portal.portlet.state.producer.ProducerPortletInvoker
          org.jboss.portal.core.impl.portlet.state.ProducerPortletInvoker

All Implemented Interfaces:
  PortletInvoker

    public class ProducerPortletInvoker

extends ProducerPortletInvoker

The subclass is used to be able to add AOP behavior.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`ProducerPortletInvoker()`

Method Summary
`PortletContext` | `createClone(PortletContext portletContext)` Clone a portlet.
`java.util.List` | `destroyClones(java.util.List portletIds)` Destroy a cloned portlet.
`PortletInvocationResponse` | `invoke(PortletInvocation invocation)` Invoke an operation on a specific portlet.

Methods inherited from class org.jboss.portal.portlet.state.producer.ProducerPortletInvoker
`getPersistenceManager, getPortlet, getPortletInvoker, getPortlets, getProperties, getProperties, getStateConverter, getStateManagementPolicy, setPersistenceManager, setPortletInvoker, setProperties, setStateConverter, setStateManagementPolicy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProducerPortletInvoker

    public ProducerPortletInvoker()

Method Detail

### createClone

    public PortletContext createClone(PortletContext portletContext)
                               throws java.lang.IllegalArgumentException,
                                      PortletInvokerException,
                                      java.lang.UnsupportedOperationException

  Description copied from interface: `PortletInvoker`
  Clone a portlet.

  Specified by:
    `createClone` in interface `PortletInvoker`
  Overrides:
    `createClone` in class `ProducerPortletInvoker`
  Returns:
    the clone id
  Throws:
    `java.lang.IllegalArgumentException` - if the portletId is null
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation
    `PortletInvokerException`

### destroyClones

    public java.util.List destroyClones(java.util.List portletIds)
                                 throws java.lang.IllegalArgumentException,
                                        PortletInvokerException,
                                        java.lang.UnsupportedOperationException

  Description copied from interface: `PortletInvoker`
  Destroy a cloned portlet.

  Specified by:
    `destroyClones` in interface `PortletInvoker`
  Overrides:
    `destroyClones` in class `ProducerPortletInvoker`
  Parameters:
    `portletIds` - a list of portlet contexts to destroy
  Returns:
    a list of `DestroyCloneFailure`, one per clone that couldn't be destroyed
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext is null
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation
    `PortletInvokerException`

### invoke

    public PortletInvocationResponse invoke(PortletInvocation invocation)
                                     throws PortletInvokerException,
                                            InvocationException

  Description copied from interface: `PortletInvoker`
  Invoke an operation on a specific portlet.

  Specified by:
    `invoke` in interface `PortletInvoker`
  Overrides:
    `invoke` in class `ProducerPortletInvoker`
  Parameters:
    `invocation` - the portlet invocation
  Returns:
    the invocation response
  Throws:
    `PortletInvokerException`
    `InvocationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD